App\Entity\Weight:
    type: entity
    table: weight
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        sid:
            type: string
            nullable: false
            length: 40
            options:
                fixed: false
        oid:
            type: integer
            nullable: false
            options:
                unsigned: false
        gross:
            type: float
            nullable: false
            precision: 10
            scale: 0
        tare:
            type: float
            nullable: false
            precision: 10
            scale: 0
        net:
            type: float
            nullable: false
            precision: 10
            scale: 0
        status:
            type: integer
            nullable: true
            options:
                unsigned: false
        creatorId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: creator_id
        creationDate:
            type: datetime
            nullable: false
            column: creation_date
        modifyId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: modify_id
        modifyDate:
            type: datetime
            nullable: false
            column: modify_date
        alibiNr:
            type: string
            nullable: true
            length: 12
            options:
                fixed: false
            column: alibi_nr
        grossUm:
            type: string
            nullable: true
            length: 10
            options:
                fixed: false
            column: gross_um
        tareUm:
            type: string
            nullable: true
            length: 10
            options:
                fixed: false
            column: tare_um
        netUm:
            type: string
            nullable: true
            length: 10
            options:
                fixed: false
            column: net_um
    lifecycleCallbacks: {  }
